﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;

namespace CSharp_WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        [DllImport(@"encryptpdf.dll", CharSet = CharSet.Auto)]
        static extern Int16 veryDecryptPDF(
            [MarshalAs(UnmanagedType.LPStr)] string inFileName,
            [MarshalAs(UnmanagedType.LPStr)] string outFileName,
            [MarshalAs(UnmanagedType.LPStr)] string strOwnPassword,
            [MarshalAs(UnmanagedType.LPStr)] string strUserPassword);

        [DllImport(@"encryptpdf.dll", CharSet = CharSet.Auto)]
        static extern Int16 veryIsPDFEncrypted(
            [MarshalAs(UnmanagedType.LPStr)] string inFileName
            );

        private void button1_Click(object sender, EventArgs e)
        {
            string strExeFolder = System.IO.Path.GetDirectoryName(System.Windows.Forms.Application.ExecutablePath);
            string strTestPDFFile = strExeFolder + "\\Test1.pdf";
            Int16 bIsEncrypted = veryIsPDFEncrypted(strTestPDFFile);
            MessageBox.Show("veryIsPDFEncrypted for \"" + strTestPDFFile + "\" file return: " + bIsEncrypted.ToString());
            Int16 bIsDecrypted = veryDecryptPDF(strTestPDFFile, strTestPDFFile + "_decrypted.pdf", "owner", "user");
            MessageBox.Show("veryDecryptPDF for \"" + strTestPDFFile + "\" file return: " + bIsDecrypted.ToString());
        }
    }
}
